Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.definition
Interface KiePackage

All Known Implementing Classes:
  ProcessPackage

    public interface KiePackage

This provides a collection of knowledge definitions that can be given to a KnowledgeBase. The name is used to provide "namespace" separation of those definitions.

Method Summary
`Collection<FactType>` | `getFactTypes()` Return the fact types declared in this package The collection is immutable.
`Collection<String>` | `getFunctionNames()` Return the names of the functions defined in this package.
`Collection<Global>` | `getGlobalVariables()` Return the names of the globals defined in this package.
`String` | `getName()` The namespace for this package
`Collection<Process>` | `getProcesses()` Return the process definitions for this package.
`Collection<Query>` | `getQueries()` Return the query definitions for this package.
`Collection<Rule>` | `getRules()` Return the rule definitions for this package.

Method Detail

### getName

    String getName()

  The namespace for this package

  Returns:

### getRules

    Collection<Rule> getRules()

  Return the rule definitions for this package. The collection is immutable.

  Returns:

### getProcesses

    Collection<Process> getProcesses()

  Return the process definitions for this package. The collection is immutable.

  Returns:
    a Collection of Processes for this package.

### getFactTypes

    Collection<FactType> getFactTypes()

  Return the fact types declared in this package The collection is immutable.

  Returns:
    a Collection of FactType for this package

### getQueries

    Collection<Query> getQueries()

  Return the query definitions for this package. The collection is immutable.

  Returns:
    a Collection of Query for this package

### getFunctionNames

    Collection<String> getFunctionNames()

  Return the names of the functions defined in this package. The collection is immutable.

  Returns:
    a Collection of Function names for this package

### getGlobalVariables

    Collection<Global> getGlobalVariables()

  Return the names of the globals defined in this package. The collection is immutable.

  Returns:
    a Collection of Global names for this package

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.